/* $buttons
 ------------------------------------------*/
@charset "UTF-8";
.btn {
    position: relative;
    padding-right: $padding-base;
    padding-left: $padding-base;
    outline: 0;
    font-size: 14px;
    @include border-radius($border-radius-base);
    @include transition(all $transition-duration linear);
    //line-height: $line-height-computed;
    line-height: 20px;
    position: relative;
    z-index: 1;
    -webkit-backface-visibility: hidden;
    &::before {
        @include border-radius($border-radius-base);
    }
    &:focus, &:active, &.active, &:active:focus, &.active:focus {
        outline: 0;
    }
}

/* Default Button Style */
.btn-default {
    @include button-variant($btn-default-color, $btn-default-bg, $btn-default-border);
    &.btn-outline {
        color: $btn-default-color;
    }
}

/* Primary Button Style */
.btn-primary {
    @include button-variant($btn-primary-color, $btn-primary-bg, $btn-primary-border);
}

/* Warning Button Style */
.btn-warning {
    @include button-variant($btn-warning-color, $btn-warning-bg, $btn-warning-border);
}

/* Success Button Style */
.btn-success {
    @include button-variant($btn-success-color, $btn-success-bg, $btn-success-border);
}

/* Info Button Style */
.btn-info {
    @include button-variant($btn-info-color, $btn-info-bg, $btn-info-border);
}

/* Danger Button Style */
.btn-danger {
    @include button-variant($brand-white, $brand-danger, $brand-danger);
}

.btn:active,
.btn.active,
.btn-group.open .dropdown-toggle {
    @include box-shadow(none);
    &::before {
        @include box-shadow(inset 0 1px 2px rgba(0, 0, 0, 0.1));
    }
}

.btn-lg,
.btn-group-lg > .btn {
    padding: 11px 16px;
    font-size: 18px;
    line-height: 1.25;
    @include border-radius($border-radius-large);
}
.etb-btn-lg {
    line-height: 28px;
}

.btn-sm,
.btn-group-sm > .btn {
    padding: 5px 10px;
    font-size: 12px;
    line-height: 1.5;
    @include border-radius($border-radius-base);
}

.btn-xs,
.btn-group-xs > .btn {
    padding: 1px 5px;
    font-size: 12px;
    line-height: 1.5;
}

/* Rounded button styles */
.btn-round,
.btn-round a,
.btn-round .btn,
.input-round {
    overflow: hidden;
    @include border-radius(40px);
    &::before {
        @include border-radius(40px);
    }
}

.btn-group-vertical > .btn:first-child:not(:last-child) {
    border-top-right-radius: $border-radius-base;
}

.btn-group-vertical > .btn:last-child:not(:first-child) {
    border-bottom-left-radius: $border-radius-base;
}

.input-group-btn:first-child > .btn,
.input-group-btn:first-child > .btn-group {
    margin-right: -2px;
}

.close {
    font-weight: $font-weight-base;
}

.btn.text-left {
    text-align: left;
}

.btn.text-right {
    text-align: right;
}
